## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           vulkan-utility-libraries
Version:        1.4.309.0
Release:        %autorelease
Summary:        Vulkan utility libraries

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Utility-Libraries
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Utility-Libraries-sdk-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  vulkan-headers

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Requires:       vulkan-headers
Obsoletes:      vulkan-validation-layers-devel < 1.3.268.0-2
Provides:       vulkan-validation-layers-devel = %{version}-%{release}
Provides:       vulkan-validation-layers-devel%{?_isa} = %{version}-%{release}

%description    devel
%{summary}

%prep
%autosetup -p1 -n Vulkan-Utility-Libraries-vulkan-sdk-%{version}

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DBUILD_TESTS:BOOL=OFF \
        -DVUL_WERROR:BOOL=OFF \
        -DUPDATE_DEPS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_libdir}/cmake/VulkanUtilityLibraries/*.cmake
%{_libdir}/libVulkanLayerSettings.a
%{_libdir}/libVulkanSafeStruct.a

%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Anusha Srivatsa <asrivats@redhat.com> - 1.4.309.0-1
- Update to SDK v1.4.309

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.304.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 José Expósito <jexposit@redhat.com> - 1.4.304.0-1
- Update to 1.4.304.0 SDK

* Fri Oct 11 2024 José Expósito <jexposit@redhat.com> - 1.3.296.0-1
- Update to 1.3.296.0 SDK

* Wed Aug 14 2024 José Expósito <jexposit@redhat.com> - 1.3.290.0-1
- Update to 1.3.290.0 SDK

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.283.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon May 27 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-1
- Update to 1.3.283.0 SDK

* Wed Apr 03 2024 José Expósito <jexposit@redhat.com> - 1.3.280.0-1
- Update to 1.3.280.0 SDK

* Thu Feb 22 2024 José Expósito <jexposit@redhat.com> - 1.3.275.0-1
- Update to 1.3.275.0 SDK

* Thu Feb 01 2024 José Expósito <jexposit@redhat.com> - 1.3.268.0-5
- Add Provides and Obsoletes vulkan-validation-layers-devel

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.268.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-3
- Avoid generating an empty non-devel package

* Fri Nov 17 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-2
- Generate non-devel package

* Thu Nov 16 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- Initial import (fedora#2247640)
## END: Generated by rpmautospec
